<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RainbowChat - Unsupported Browser</title>
    <script src="anti-ddos/anti-ddos.js"></script>
    <link rel="icon" type="image/x-icon" href="favicon.ico">
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f2f2f2;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
        }

        .container {
            text-align: center;
            background-color: #fff;
            border-radius: 10px;
            padding: 20px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
        }

        img {
            max-width: 200px;
            height: auto;
        }

        h1 {
            font-size: 24px;
            color: #333;
            margin-top: 20px;
        }

        p {
            font-size: 16px;
            color: #666;
            margin-top: 10px;
        }
    </style>
</head>

<body>
    <div class="container">
        <img src="images/unsupported.png" alt="Unsupported Browser Icon">
        <p id="browser"></p>
        <br>
        <button onclick="firefox_rdir()">Download Firefox</button>
        <br>
        <button onclick="chrome_rdir()">Download Chrome</button>
        <br>
        <button onclick="opera_rdir()">Download Opera</button>
        <br>
        <button onclick="edge_rdir()">Download Edge</button>
    </div>
    <script>
        function firefox_rdir() {
            window.location.replace('https://www.mozilla.org/en-US/firefox/new/')
        }
        function chrome_rdir() {
            window.location.replace('https://www.google.com/chrome/')
        }
        function opera_rdir() {
            window.location.replace('https://www.opera.com/download')
        }
        function edge_rdir() {
            window.location.replace('https://www.microsoft.com/en-us/edge/download?form=MA13FJ')
        }
    </script>
</body>

</html>